- Qt 5.15
- Qt Network
- C++ Classes
- QNetworkReply
- Qt 5.15.18 Reference Documentation

# Obsolete Members for QNetworkReply

The following members of class QNetworkReply are obsolete. They are provided to keep old source code working. We strongly advise against using them in new code.

## Signals

`(obsolete)` void | error(QNetworkReply::NetworkError code)

## Member Function Documentation

### `[signal]` void QNetworkReply::error(QNetworkReply::NetworkError code)

This function is obsolete. It is provided to keep old source code working. We strongly advise against using it in new code.

Use errorOccurred() instead.

Note: Signal error is overloaded in this class. To connect to this signal by using the function pointer syntax, Qt provides a convenient helper for obtaining the function pointer as shown in this example:

     connect(networkReply, QOverload<QNetworkReply::NetworkError>::of(&QNetworkReply::error),
         [=](QNetworkReply::NetworkError code){ /* ... */ });